import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;

    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }

            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }

        return result.toString();
    }

    public String getHamletData(){
        return hamletData;
    }

    public String changeHamletToLeon() {
        Pattern upperCasePattern = Pattern.compile("HAMLET");
        Matcher upperCaseMatcher = upperCasePattern.matcher(hamletData);
        hamletData = upperCaseMatcher.replaceAll("LEON");

        Pattern firstCapPattern = Pattern.compile("Hamlet");
        Matcher firstCapMatcher = firstCapPattern.matcher(hamletData);
        hamletData = firstCapMatcher.replaceAll("Leon");

       // System.out.println(hamletData);
        return hamletData;
    }

    public int findHamlet() {
        Pattern pattern = Pattern.compile("(?i)HAMLET");
        Matcher matcher = pattern.matcher(hamletData);

        int count = 0;
        while (matcher.find()) {
            count++;
        }
        return count;
    }
    public int findHoratio() {
        Pattern pattern = Pattern.compile("(?i)HORATIO");
        Matcher matcher = pattern.matcher(hamletData);

        int count = 0;
        while(matcher.find()) {
            count++;
        }
        return count;
    }
    public String changeHoratioToTariq() {
        Pattern upperCasePattern = Pattern.compile("HORATIO");
        Matcher upperCaseMatcher = upperCasePattern.matcher(hamletData);
        hamletData = upperCaseMatcher.replaceAll("TARIQ");

        Pattern firstCapPattern = Pattern.compile("Horatio");
        Matcher firstCapMatcher = firstCapPattern.matcher(hamletData);
        hamletData = firstCapMatcher.replaceAll("Tariq");

       // System.out.println(hamletData);
        return hamletData;
    }

}
